[manager]

prepend_keymap = [
    # # undo trash
    { on = "u",                 run = "plugin restore",           desc = "Restore last deleted files/folders" },
    # # compress
    { on = "C",                 run = "plugin ouch tar.gz",       desc = "Compress with ouch" },
    # Goto
    { on = [ "g", "h" ],        run = "cd ~",                     desc = "Go to ~" },
    { on = [ "g", "c", "c" ],   run = "cd ~/.config",             desc = "Go to ~/.config" },
    { on = [ "g", "a" ],        run = "cd ~/.cache",              desc = "Go to ~/.cache" },
    { on = [ "g", "l", "b" ],   run = "cd ~/.local/bin",          desc = "Go to ~/.local/bin" },
    { on = [ "g", "l", "s" ],   run = "cd ~/.local/share",        desc = "Go to ~/.local/share" },
    { on = [ "g", "c", "h" ],   run = "cd ~/projects/active/dotfiles/config/hypr",                  desc = "Go to Hyprland config" },
    { on = [ "g", "c", "f" ],   run = "cd ~/projects/active/dotfiles/config/fish",                  desc = "Go to Fish config" },
    { on = [ "g", "c", "y" ],   run = "cd ~/projects/active/dotfiles/config/yazi",                  desc = "Go to Yazi config" },
    { on = [ "g", "c", "a" ],   run = "cd ~/projects/active/dotfiles/config/astal",                 desc = "Go to astal config" },
    { on = [ "g", "c", "l" ],   run = "cd ~/projects/active/dotfiles/config/lint",                  desc = "Go to linter configs" },
    { on = [ "g", "c", "k" ],   run = "cd ~/projects/active/dotfiles/config/kitty",                 desc = "Go to kitty config" },
    { on = [ "g", "c", "r" ],   run = "cd ~/projects/active/dotfiles/config/rofi",                  desc = "Go to rofi config" },
    { on = [ "g", "c", "s" ],   run = "cd ~/projects/active/dotfiles/scripts",                      desc = "Go to script" },
    { on = [ "g", "c", "d" ],   run = "cd ~/projects/active/dotfiles",                              desc = "Go to NeoVim config" },
    { on = [ "g", "c", "n" ],   run = "cd ~/projects/active/nvim",                                  desc = "Go to NeoVim config" },
    { on = [ "g", "n" ],        run = "cd ~/NextCloud/Documents/",                                  desc = "Go to NextCloud Documents" },
    { on = [ "g", "w" ],        run = "cd ~/NextCloud/Wallpapers",                                  desc = "Go to Wallpapers" },
    { on = [ "g", "e", "c" ],   run = "cd ~/projects/active/eth-gitlab/eth-code-expert/Semester2/", desc = "Go to ETH-Code-Expert" },
    { on = [ "g", "e", "n" ],   run = "cd ~/NextCloud/Documents/ETH/Semester2",                     desc = "Go to ETH Nextcloud" },
    { on = [ "g", "e", "p" ],   run = "cd ~/projects/active/eth/semester2/",                        desc = "Go to ETH notes folder" },
    { on = [ "g", "e", "g" ],   run = "cd ~/projects/active/eth-gitlab/pprog25-jahutz/",            desc = "Go to ETH Gitlab folder" },
    { on = [ "g", "s", "h" ],   run = "cd ~/.steam/steam/steamapps/common",                         desc = "Go to ~/.steam/steam/steamapps/common" },
    { on = [ "g", "s", "g" ],   run = "cd /mnt/games/SteamLibrary",                                 desc = "Go to SteamLibrary on NTFS partition" },
    { on = [ "g", "s", "s" ],   run = "cd /mnt/secondary/SteamLibrary",                             desc = "Go to SteamLibrary on main games drive" },
    { on = [ "g", "o" ],        run = "cd /mnt/janis/Documents",  desc = "Go to Documents" },
    { on = [ "g", "d" ],        run = "cd ~/Downloads",           desc = "Go to ~/Downloads" },
    { on = [ "g", "p", "a" ],   run = "cd ~/projects/active",     desc = "Go to Active projects" },
    { on = [ "g", "p", "r" ],   run = "cd ~/projects/archive",    desc = "Go to Archive projects" },
    { on = [ "g", "p", "p" ],   run = "cd ~/projects",            desc = "Go to projects" },
    { on = [ "g", "t", "m" ],   run = "cd /tmp",                  desc = "Go to /tmp" },
    { on = [ "g", "t", "t" ],   run = "cd ~/.local/share/Trash/", desc = "Go to TRASH" },
    { on = [ "g", "/" ],        run = "cd /",                     desc = "Go to /" },
    { on = [ "g", "m" ],        run = "cd /run/media/$USER",      desc = "Go to /run/media" },
    { on = [ "g", "<Space>" ],  run = "cd --interactive",         desc = "Go to interactively" },
    { on = [ "g", "-" ],        run  = "plugin vcs-files",        desc = "Show Git file changes" },
]
